using Managing.Domain.Accounts;

namespace Managing.Application.Abstractions.Repositories;

public interface IAccountRepository
{
    Task<Account> GetAccountByNameAsync(string name);
    Task<Account> GetAccountByKeyAsync(string key);
    Task InsertAccountAsync(Account account);
    void DeleteAccountByName(string name);
    Task<IEnumerable<Account>> GetAccountsAsync();
}
